/**
 * A simple car class made for lab 8
 * 
 * @author <a href='mailto:pandre.mudry&#64;hevs.ch'> Pierre-Andr Mudry</a>
 * @version 1.0
 */
public class Auto {
	private String name;
	private double hp;
	private double maxSpeed;
	
	/**
	 * Constructor
	 * @param name
	 * @param hp
	 * @param maxSpeed
	 */
	Auto(String name, double hp, double maxSpeed){
		this.name = name;
		this.hp = hp;
		this.maxSpeed = maxSpeed;
	}
	
	/**
	 * @return True if the car can drive faster than 200 km/h
	 */
	boolean isVeryFast(){
		return maxSpeed > 200 ? true : false;
	}
	
	/**	 
	 * @see java.lang.Object#toString()
	 */
	public String toString(){
		String result = name + ", " + hp + " hp, " + maxSpeed + " km/h";
		return result;
	}
}
