/**
 * Test application for the {@link Garage} class in lab8.
 * 
 * @author <a href='mailto:pandre.mudry&#64;hevs.ch'> Pierre-Andr Mudry</a>
 * @version 1.0
 */
public class Task2Runner {
	public static void main(String[] args){
		Auto c1, c2, c3, c4;
		// Creating the cars
		c1 = new Auto("Audi TT", 135, 250);
		c2 = new Auto("VW Golf", 100, 180);
		c3 = new Auto("Lancia Y", 60, 150);
		c4 = new Auto("Porsche 911", 420, 312);
		
		// Creating a garage to hold all these cars
		Garage myGarage = new Garage();
		
		// Adding the first car
		myGarage.addCar(c1);		
		System.out.println("Number of cars in the garage : " + myGarage.getNumberOfCars());
				
		// Adding the other cars		
		myGarage.addCar(c2);
		System.out.println("Number of cars in the garage : " + myGarage.getNumberOfCars());
		myGarage.addCar(c3);
		System.out.println("Number of cars in the garage : " + myGarage.getNumberOfCars());
		myGarage.addCar(c4);
		System.out.println("Number of cars in the garage : " + myGarage.getNumberOfCars());		
	
		// Tests the toString method of the garage class
		System.out.println(myGarage);
		
		// Displays only the fast cars of the garage
		myGarage.displayFastCars();	
	}
}